﻿#region License
// Copyright 2009 Buu Nguyen (http://www.buunguyen.net/blog)
// 
// Licensed under the Apache License, Version 2.0 (the "License"); 
// you may not use this file except in compliance with the License. 
// You may obtain a copy of the License at 
// 
// http://www.apache.org/licenses/LICENSE-2.0 
// 
// Unless required by applicable law or agreed to in writing, software 
// distributed under the License is distributed on an "AS IS" BASIS, 
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
// See the License for the specific language governing permissions and 
// limitations under the License.
// 
// The latest version of this file can be found at http://dotcommon.codeplex.com
#endregion

using System;
using System.Runtime.Serialization;

namespace DotCommon.Exception
{
    [Serializable]
    public class DotCommonException : System.Exception
    {
        public DotCommonException() { }
        public DotCommonException(string msg) : base(msg) { }
        public DotCommonException(string msg, System.Exception inner) : base(msg, inner) { }
        protected DotCommonException(SerializationInfo info, StreamingContext ctx) : base(info, ctx) { }
    }
}